MODULE MOD_MAIN
// 单轴偏置负载点位
LOCAL VAR jointtarget j1_n = j:{	-160,90,-90,0,0,0,0 }	{EJ 0,0,0,0,0,0}					// 轴1 负极限 运动点位
LOCAL VAR jointtarget j1_p = j:{	160,90,-90,0,0,0,0 }	{EJ 0,0,0,0,0,0}						// 轴1 正极限 运动点位
LOCAL VAR jointtarget j2_n = j:{	90,-80,-90,0,0,0,0 }	{EJ 0,0,0,0,0,0}						// 轴2 负极限 运动点位
LOCAL VAR jointtarget j2_p = j:{	90,120,-90,0,0,0,0 }	{EJ 0,0,0,0,0,0}						// 轴2 正极限 运动点位
LOCAL VAR jointtarget j3_n = j:{	-90,0,-190,0,0,0,0 }	{EJ 0,0,0,0,0,0}						// 轴3 负极限 运动点位
LOCAL VAR jointtarget j3_p = j:{	-90,0,45,0,0,0,0 }	{EJ 0,0,0,0,0,0}						// 轴3 正极限 运动点位
LOCAL VAR jointtarget j4_n = j:{	0,0,0,-160,-90,90,0 }	{EJ 0,0,0,0,0,0}					// 轴4 负极限 运动点位
LOCAL VAR jointtarget j4_p = j:{	0,0,0,160,-90,90,0 }	{EJ 0,0,0,0,0,0}					// 轴4 正极限 运动点位
LOCAL VAR jointtarget j5_n = j:{	0,0,0,0,-110,90,0 }	{EJ 0,0,0,0,0,0}						// 轴5 负极限 运动点位
LOCAL VAR jointtarget j5_p = j:{	0,0,0,0,110,90,0 }	{EJ 0,0,0,0,0,0}						// 轴5 正极限 运动点位
LOCAL VAR jointtarget j6_n = j:{	0,0,0,0,0,-350,0 }	{EJ 0,0,0,0,0,0}						// 轴6 负极限 运动点位
LOCAL VAR jointtarget j6_p = j:{	0,0,0,0,0,350,0 }	{EJ 0,0,0,0,0,0}						// 轴6 正极限 运动点位

// 单轴惯量负载点位
LOCAL VAR jointtarget j4_n_inertia = j:{	0,0,0,-160,-90,90,0 }	{EJ 0,0,0,0,0,0}					// 轴4 负极限 运动点位
LOCAL VAR jointtarget j4_p_inertia = j:{	0,0,0,160,-90,90,0 }	{EJ 0,0,0,0,0,0}					// 轴4 正极限 运动点位
LOCAL VAR jointtarget j5_n_inertia = j:{	0,0,0,0,-110,90,0 }	{EJ 0,0,0,0,0,0}						// 轴5 负极限 运动点位
LOCAL VAR jointtarget j5_p_inertia = j:{	0,0,0,0,110,90,0 }	{EJ 0,0,0,0,0,0}						// 轴5 正极限 运动点位
LOCAL VAR jointtarget j6_n_inertia = j:{	0,0,0,0,0,-350,0 }	{EJ 0,0,0,0,0,0}						// 轴6 负极限 运动点位
LOCAL VAR jointtarget j6_p_inertia = j:{	0,0,0,0,0,350,0 }	{EJ 0,0,0,0,0,0}						// 轴6 正极限 运动点位

// 保持电流点位
LOCAL VAR jointtarget j1_hold = j:{0,90,-90,0,0,0,0} {EJ 0,0,0,0,0,0}					// 一轴保持电流点位
LOCAL VAR jointtarget j2_hold = j:{0,90,-90,0,0,0,0} {EJ 0,0,0,0,0,0}					// 二轴保持电流点位
LOCAL VAR jointtarget j3_hold = j:{0,0,0,0,0,0,0} {EJ 0,0,0,0,0,0}						// 三轴保持电流点位
LOCAL VAR jointtarget j4_hold = j:{0,0,0,-135,0,0,0 }	{EJ 0,0,0,0,0,0}						// 四轴保持电流点位
LOCAL VAR jointtarget j5_hold = j:{0,0,0,-45,0,0,0 }	{EJ 0,0,0,0,0,0}						// 五轴保持电流点位
LOCAL VAR jointtarget j6_hold = j:{0,0,0,0,0,90,0 }	{EJ 0,0,0,0,0,0}						// 六轴保持电流点位


GLOBAL PROC main()
	tool p_tool = tool0                 // 实际测试，这里需要修改成 tool100
	tool i_tool = tool0                   // 实际测试，这里需要修改成tool_inertia
	speed p_speed = vmax
	MoveAbsJ p_home, p_speed, z50, p_tool
	
	WriteRegByName(ready_to_go, True)
	While(True)
		ReadRegByName(act, t_bool)
		If(t_bool == True)
			break
		Else
			Wait 1
		Endif
	Endwhile
	
// 调试部分 ，可以修改，调试完毕，务必注释掉
//	axis_cycle(j6_p, j6_n, p_speed, p_tool)
//	s_1(p_speed,p_tool)  
//	s_2(p_speed,p_tool) 
//	s_3(p_speed,p_tool)
//	axis_hold(j1_hold,p_speed,p_tool)
	
// The line exactly below, should NOT be deleted 
// 如下所有行，请勿删减新增，可调试修改
scenario(1, j6_p, j6_n, p_speed, p_tool, i_tool)
// DONOTDELETE

ENDPROC

ENDMODULE